Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui
Class Title

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Row
              ch.uzh.ifi.attempto.acewiki.gui.Title

All Implemented Interfaces:
  java.io.Serializable, nextapp.echo2.app.RenderIdSupport

    public class Title

extends nextapp.echo2.app.Row

This class represents a title label which is used for article titles.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Row
`PROPERTY_ALIGNMENT, PROPERTY_BORDER, PROPERTY_CELL_SPACING, PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`Title(java.lang.String text)` Creates a new title.
`Title(java.lang.String text, boolean italic)` Creates a new title.
`Title(java.lang.String text, java.lang.String postTitle)` Creates a new title which has two parts.

Method Summary
`void` | `setColor(nextapp.echo2.app.Color color)` Sets the foreground color of the title text.
`void` | `setText(java.lang.String text)` Resets the title text.

Methods inherited from class nextapp.echo2.app.Row
`getAlignment, getBorder, getCellSpacing, getInsets, setAlignment, setBorder, setCellSpacing, setInsets`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Title

    public Title(java.lang.String text,
                 java.lang.String postTitle)

  Creates a new title which has two parts. The second part is shown in gray font.

  Parameters:
    `text` - The text of the main part of the title.
    `postTitle` - The text of the second part of the title in gray font.

### Title

    public Title(java.lang.String text,
                 boolean italic)

  Creates a new title.

  Parameters:
    `text` - The text of the title.
    `italic` - Defines whether the title text should be displayed in italics.

### Title

    public Title(java.lang.String text)

  Creates a new title.

  Parameters:
    `text` - The title text.

Method Detail

### setText

    public void setText(java.lang.String text)

  Resets the title text.

  Parameters:
    `text` - The title text.

### setColor

    public void setColor(nextapp.echo2.app.Color color)

  Sets the foreground color of the title text.

  Parameters:
    `color` - The foreground color.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)